package ca.odell.glazedlists;

import junit.framework.*;
import java.util.*;

/**
 * A ReadOnlyListTest tests the functionality of the ReadOnlyList
 *
 * @author <a href="mailto:jesse@odel.on.ca">Jesse Wilson</a>
 */
public class ReadOnlyListTest extends TestCase {
    
    public ReadOnlyListTest() {
        super();
    }
    
    /**
     * attempt to modify this list 
     */
    private List readOnly = null;
    
    /**
     * Prepare for the test.
     */
    public void setUp() {
        BasicEventList readOnlyData = new BasicEventList();
        readOnlyData.add("A");
        readOnlyData.add("B");
        readOnlyData.add("C");
        readOnly = GlazedLists.readOnlyList(readOnlyData);
    }
    
    /**
     * Clean up after the test.
     */
    public void tearDown() {
        readOnly = null;
    }
    
    /**
     * Verifies that the sublist is also read only.
     */
    public void testSubList() {
        try {
            readOnly.subList(0, 3).clear();
            fail();
        } catch (IllegalStateException e) {
        }
    }
    
    /**
     * Verifies that the sublist is also read only.
     */
    public void testIterator() {
        try {
            Iterator i = readOnly.iterator();
            i.next();
            i.remove();
            fail();
        } catch (IllegalStateException e) {
        }
    }
}
